Get Wallet Balance by Contract
get
/walletservice/v1/wallets/{walletAddress}/balance/{contractAddress}
Retrieve balance for wallet address and contract address.
Request
Path Parameters
-
contractAddress(required): string
-
walletAddress(required): string
Wallet address in hex format (0x + 40 hex chars).Example:
0xFE3B557E8Fb62b89F4916B721be55cEb828dBd73
There's no request body for this operation.
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Balance retrieved successfully.
Root Schema : WalletBalanceResponse
Type:
Show Source
object-
assetContract: string
Example:
0x9a626f29784501056687dc267966dae6414cc91f -
assetType(required): string
Example:
native -
balance(required): string
Example:
1000000000000000000 -
updatedAt: string
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.